curl --request PATCH \
--url https://api.maildiver.com/v1/audiences/{audienceId}/contacts/{contactId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "suppressionlist+9@simulator.amazonses.com",
"first_name": "John",
"last_name": "Doe",
"is_subscribed": true
}
'{
"message": "Contact updated"
}Contact
Update contact
Endpoint: v1/audiences/{audienceId}/contacts/{contactId}
Update a specific contact’s details.
curl --request PATCH \
--url https://api.maildiver.com/v1/audiences/{audienceId}/contacts/{contactId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "suppressionlist+9@simulator.amazonses.com",
"first_name": "John",
"last_name": "Doe",
"is_subscribed": true
}
'{
"message": "Contact updated"
}Authorizations
API key with format "Bearer {your-api-key}"
Path Parameters
Unique identifier of the audience
Unique identifier of the contact
Body
application/json
Contact's email address
Example:
"suppressionlist+9@simulator.amazonses.com"
Contact's first name (1-100 characters)
Required string length:
1 - 100Example:
"John"
Contact's last name (1-100 characters)
Required string length:
1 - 100Example:
"Doe"
Whether the contact is subscribed to emails
Example:
true
Response
Contact successfully updated
Was this page helpful?
⌘I